Bug 752938 - Review Request: python-straight-plugin - Python plugin loader
Summary: Review Request: python-straight-plugin - Python plugin loader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-10 19:43 UTC by Pierre-YvesChibon
Modified: 2014-09-29 09:33 UTC (History)
4 users (show)

Fixed In Version: python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-23 23:28:40 UTC
Type: ---
a.badger: fedora-review+
pingou: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2011-11-10 19:43:37 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/python-straight.plugin.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/python-straight.plugin-1.1.1-1.57ef11c.fc16.src.rpm
Description:
straight.plugin is a Python plugin loader inspired by twisted.plugin with two
important distinctions:

 - Fewer dependencies
 - Python 3 compatible

The system is used to allow multiple Python packages to provide plugins within
a namespace package, where other packages will locate and utilize. The plugins
themselves are modules in a namespace package where the namespace identifies
the plugins in it for some particular purpose or intent.

Comment 1 Toshio Ernie Kuratomi 2011-11-10 20:20:21 UTC
Talked on IRC and spec file has been updated.  This review is based on the tarball from the srpm and the new spec file

rpmlint:

  python-straight.plugin.noarch: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
[snip other spelling warnings]

These are all false positives -- the words are common in computing.

  python-straight.plugin.src: W: invalid-url Source0: ironfroggy-straight.plugin-57ef11c.tar.gz

There is a comment above the Source0 explaining how to retrieve the tarball from github so this is fine.


Good:
* License is BSD in source and spec
* LICENSE file included
* Spec file is legible
* Sources match with upstream by following the github url to get the snapshot.
* Package builds in koji for f16
* No localized files so no i18n concerns
* Not a shared library package so no concerns there
* No bundled libraries
* Package owns the directories it creates and nothing more
* Files listed once in the %files section
* File permissions are correct
* Macros used consistently
* Code, not content
* No large documentation files
* Documentation is not used at runtime
* Not a GUI app
* No supbackages
* All filenames are valid utf-8


Needswork:
* Naming guidelines want "." replaced with "-" so this should be named python-straight-plugin. (and spec file renamed to match).

Cosmetic:
* Could BuildRequire: python2-devel instead of python-devel
* The description says python3 compatible but you aren't building a python3 subpackage.  I'd either build the subpackage or remove that line from the description.

Fix the naming and I'll approve this.

Comment 2 Pierre-YvesChibon 2011-11-10 21:22:00 UTC
Thanks for your comments (here and on irc) and the review.

I changed the name and added a python3 sub-package. I used 2to3 to generate the sub-package although it seems unnecessary but for the future, better safe than sorry.

Spec URL: http://pingou.fedorapeople.org/RPMs/python-straight-plugin.spec
SRPM URL:
http://pingou.fedorapeople.org/RPMs/python-straight-plugin-1.1.1-0.2.20111110git57ef11c.fc16.src.rpm

Comment 3 Pierre-YvesChibon 2011-11-10 21:40:39 UTC
There is the new version with the correct use of %{__python3} on the build and test

Spec URL: http://pingou.fedorapeople.org/RPMs/python-straight-plugin.spec
SRPM URL:
http://pingou.fedorapeople.org/RPMs/python-straight-plugin-1.1.1-0.3.20111110git57ef11c.fc16.src.rpm

Comment 4 Toshio Ernie Kuratomi 2011-11-10 21:41:57 UTC
All problems have been fixed.

APPROVED.

Comment 5 Pierre-YvesChibon 2011-11-10 21:45:25 UTC
New Package SCM Request
=======================
Package Name: python-straight-plugin
Short Description: Python plugin loader
Owners: pingou sochotnicky
Branches: f15 f16 el6

Comment 6 Pierre-YvesChibon 2011-11-11 07:09:53 UTC
Fix Stanislav's FAS username 

New Package SCM Request
=======================
Package Name: python-straight-plugin
Short Description: Python plugin loader
Owners: pingou sochotni
Branches: f15 f16 el6

Comment 7 Gwyn Ciesla 2011-11-11 13:25:50 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-11-11 17:58:37 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.fc15

Comment 9 Fedora Update System 2011-11-11 17:58:44 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.fc16

Comment 10 Fedora Update System 2011-11-11 17:58:53 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.el6

Comment 11 Fedora Update System 2011-11-11 19:55:29 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2011-11-23 23:28:40 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-11-23 23:32:46 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2011-11-29 19:03:28 UTC
python-straight-plugin-1.1.1-0.7.20111110.git57ef11c.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Pierre-YvesChibon 2014-09-29 09:18:12 UTC
Package Change Request
======================
Package Name: python-straight-plugin
New Branches: epel7
Owners: pingou

Comment 16 Pierre-YvesChibon 2014-09-29 09:33:21 UTC
Thanks @Till!


Note You need to log in before you can comment on or make changes to this bug.